Package be.fgov.ehealth.certra.core.v2

# Class CertificateDetailsType

java.lang.Object
be.fgov.ehealth.certra.core.v2.CertificateDetailsType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class CertificateDetailsType extends Object implements Serializable
Type that describes a certificate. A certificate can be uniquely identifier by the combination of its serial number and issuer

Java class for CertificateDetailsType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateDetailsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SerialNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="DN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="IssuerDN" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="ValidNotBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="ValidNotAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateDetailsType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDN()`
  Gets the value of the dn property.
  `String`
  `getIssuerDN()`
  Gets the value of the issuerDN property.
  `String`
  `getSerialNumber()`
  Gets the value of the serialNumber property.
  `Instant`
  `getValidNotAfter()`
  Gets the value of the validNotAfter property.
  `Instant`
  `getValidNotBefore()`
  Gets the value of the validNotBefore property.
  `void`
  `setDN(String value)`
  Sets the value of the dn property.
  `void`
  `setIssuerDN(String value)`
  Sets the value of the issuerDN property.
  `void`
  `setSerialNumber(String value)`
  Sets the value of the serialNumber property.
  `void`
  `setValidNotAfter(Instant value)`
  Sets the value of the validNotAfter property.
  `void`
  `setValidNotBefore(Instant value)`
  Sets the value of the validNotBefore property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertificateDetailsType

    public CertificateDetailsType()

- ## Method Details

  - ### getSerialNumber

    public String getSerialNumber()
    Gets the value of the serialNumber property.
    Returns:
      possible object is `String`

  - ### setSerialNumber

    public void setSerialNumber(String value)
    Sets the value of the serialNumber property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDN

    public String getDN()
    Gets the value of the dn property.
    Returns:
      possible object is `String`

  - ### setDN

    public void setDN(String value)
    Sets the value of the dn property.
    Parameters:
      `value` - allowed object is `String`

  - ### getIssuerDN

    public String getIssuerDN()
    Gets the value of the issuerDN property.
    Returns:
      possible object is `String`

  - ### setIssuerDN

    public void setIssuerDN(String value)
    Sets the value of the issuerDN property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValidNotBefore

    public Instant getValidNotBefore()
    Gets the value of the validNotBefore property.
    Returns:
      possible object is `String`

  - ### setValidNotBefore

    public void setValidNotBefore(Instant value)
    Sets the value of the validNotBefore property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValidNotAfter

    public Instant getValidNotAfter()
    Gets the value of the validNotAfter property.
    Returns:
      possible object is `String`

  - ### setValidNotAfter

    public void setValidNotAfter(Instant value)
    Sets the value of the validNotAfter property.
    Parameters:
      `value` - allowed object is `String`